# Breve
### a url shortener

Breve is a web application that provides a simple interface to
shortening long urls creating links smaller and easier to remember.

It creates links in the form of "/emeaoinqua": easier to remember than
alphanumeric strings like "/1Cqw8lHw" used by several services.

It was inspired by [hastebin](http://hastebin.com).

## Installing

Install the app with cabal-install. Run

    $ cabal install breve

and start it with
	
    $ breve

The app will start serving on `http://localhost:3000`, listening on every active interface.

## Configure

You can change the options by editing the config file.
When you start the app an empty one will be created in:
`$XDG_CONFIG_HOME/breve` or `~/.config/breve` if unset.

The default values are:

```ini
hostname = "localhost"
port     = 3000
urltable = "$XDG_CONFIG_HOME/breve"
```

`urltable` is the location of breve url hashtable

## License

Dual licensed under the MIT and GPL licenses:  
http://www.opensource.org/licenses/mit-license.php  
http://www.gnu.org/licenses/gpl.html
